function print_mesh_info(mesh)
%PRINT_MESH_INFO Summary of this function goes here
%   Detailed explanation goes here

% Display mesh statistics
fprintf('Mesh statistics:\n');
fprintf('\tNumber of nodes: %d\n', size(mesh.Nodes, 1));
fprintf('\tNumber of elems: %d\n', size(mesh.Elements, 1));
fprintf('\tNumber of materials: %d\n', size(mesh.Materials, 1));
fprintf('\tNumber of properties: %d\n', size(mesh.Elements, 1));
fprintf('\tElement types:\n');
[uel, ~, un] = unique(mesh.Elements(:,2));
u_cnt = accumarray(un, ones(size(un)));
for i = 1 : length(uel)
    fprintf('\t\t%3d -- %7d elements\n', uel(i), u_cnt(i));
end
fprintf('\n');

end % of function print_mesh_info

